%define		_class		Services
%define		_subclass	Weather
%define		_status		stable
%define		_pearname	Services_Weather
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - an interface to various online weather-services
Summary(pl.UTF-8):	%{_pearname} - interfejs do różnych serwisów pogodowych
Name:		php-pear-%{_pearname}
Version:	1.4.7
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	34d1e75a99a1ece7446ae8567fef5a92
URL:		http://pear.php.net/package/Services_Wheather/
BuildRequires:	php-pear-PEAR >= 1:1.4.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	php(ctype)
Requires:	php(pcre)
Requires:	php-pear
Requires:	php-pear-HTTP_Request >= 1.2.0
Suggests:	php-pear-Cache
Suggests:	php-pear-DB
Suggests:	php-pear-Net_FTP
Suggests:	php-pear-SOAP
Suggests:	php-pear-XML_Serializer
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define	_noautoreq_pear DB.php HTTP/Request.php SOAP/.* XML/Serializer.* Net/FTP.php

%description
Services_Weather searches for given locations and retrieves current
weather data and, dependent on the used service, also forecasts. Up to
now, GlobalWeather from CapeScience, a XML service from weather.com
and METAR from noaa.gov are supported. Further services will get
included, if they become available, have a usable API and are properly
documented.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Services_Weather wyszukuje pogodę, oraz w zależności od użytego
serwisu, także prognozę dla podanej lokalizacji. Jak do tej pory
obsługiwane są: GlobalWeather z CapeScience, usługa XML z weather.com
oraz METAR z noaa.gov. Wsparcie dla kolejnych serwisów zostanie
dodane, o ile będą one dostępne, będą miały użyteczne API i będą
odpowiednio udokumentowane.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
sed -i -e '1s#/usr/local/bin/php#%{_bindir}/php#' ./%{php_pear_dir}/data/%{_pearname}/buildMetarDB.php
install -d docs/%{_pearname}
mv ./%{php_pear_dir}/data/%{_pearname}/buildMetarDB.php docs/%{_pearname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Services/*.php
%{php_pear_dir}/Services/Weather

%{php_pear_dir}/data/%{_pearname}
%changelog
* Wed Dec 19 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Services_Weather.git;a=log;h=master

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 9404b16
- updated to: 1.4.7

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 65c62b4
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 353fc0c
- updated to: 1.4.6

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 0068281
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> d80e809
- updated to: 1.4.5

* Sun May 03 2009 Adam Gołębiowski <adamg@pld-linux.org> 33db099
- updated to 1.4.4

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 7875971
- rel 2

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> b8ff643
- updated to 1.4.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e51dfb4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a880ab0
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> e14adfe
- BR rpm-build macros >= 1.300 for %pear_ macros

* Mon Mar 13 2006 Elan Ruusamäe <glen@pld-linux.org> 6a4e5de
- 1.4.0

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> c306ef2
- BR php-pear-PEAR

* Thu Sep 29 2005 Elan Ruusamäe <glen@pld-linux.org> 7df2d64
- 1.3.2

* Thu Sep 29 2005 Elan Ruusamäe <glen@pld-linux.org> f28e917
- new pear packaging

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> d828689
- rebuild with new PEAR provides/requires scripts
- release 2

* Fri Oct 01 2004 Adam Gołębiowski <adamg@pld-linux.org> c09121b
- updated to 1.3.1

* Mon Jul 12 2004 Adam Gołębiowski <adamg@pld-linux.org> c180b01
- updated to 1.3.0

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 0d8ea5f
- fixed english information about status of the package

* Sat Apr 03 2004 Adam Gołębiowski <adamg@pld-linux.org> af0ecc1
- updated to 1.2.2

